<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	

$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('DETALLE DE NOMINA');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->setLanguageArray($l);
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 30);
$codigo_x=$_GET['usuario'];
$fecha_actualxls=$_GET['fecha_registro'];
$fecha_ingreso=date('Y-m-d - h:i:s A');
$token=$_GET['token'];
$estatus=$_GET['estatus'];
$cod_cliente=$_GET['cod_cliente'];
$cod_nomina=$_GET['cod_nomina'];
$t_pagar=$_GET['t_pagar'];
$t_descuentos=$_GET['t_descuentos'];
$t_prestamos=$_GET['t_prestamos'];


$usuarios_conectadosx=mysql_query("select * from  tabla_usuarios where id='".$codigo_x."'",$link);
$ver_usuariosx=mysql_fetch_array($usuarios_conectadosx);

 		$consultar_sql_ver_nomina=mysql_query("select * from tabla_rrhh_nomina where eliminar='0'  and id='$cod_nomina' ORDER BY id DESC ",$link);
		$ver_consultar_sql_ver_nomina=mysql_fetch_array($consultar_sql_ver_nomina);
		$estatus=$ver_consultar_sql_ver_nomina['estatus'];		
		$cod_nomina=$ver_consultar_sql_ver_nomina['id'];		
		$nombre_nomina=$ver_consultar_sql_ver_nomina['nombre_nomina'];		
		$fecha_calculo=$ver_consultar_sql_ver_nomina['fecha_calculo'];		
		$token_registro=$ver_consultar_sql_ver_nomina['token_registro'];		
		$tipo_nomina=$ver_consultar_sql_ver_nomina['tipo_nomina'];		

$html1 ='
	<h3></h3><br>
	IMPRESO POR: '.$ver_usuariosx['descripcion'].'  EL DIA '.$fecha_ingreso.'
	<h1 style="text-align: center;">DETALLE RC '.$nombre_nomina.' - '.$token_registro.' </h1>
	Fecha de pago: '.$fecha_calculo.'
';
$html2='
	<table  border="0" >
	  <tr>
		<td WIDTH="8%">CEDULA</td>
		<td WIDTH="30%">NOMBRE Y APELLIDO</td>
		<td WIDTH="10%">MONTO</td>
		<td WIDTH="10%">DESCT.</td>
		<td WIDTH="10%">PREST.</td>
		<td WIDTH="10%">PAGAR</td>
		<td WIDTH="10%">TASA</td>
		<td WIDTH="10%">PAGAR BS</td>
	  </tr> 
	</table>
';
	$estado_cuenta=mysql_query("select * from   tabla_rrhh_nomina_detalle where cod_nomina='$cod_nomina'  ORDER BY id ASC ",$link);
	while($ver_estado_cuenta=mysql_fetch_array($estado_cuenta)){
	$cod_empleado=$ver_estado_cuenta['cod_empleado'];
 		$consultar_sql_ver=mysql_query("select * from  tabla_rrhh_empleado where eliminar='0' and  estatus='1' and id='$cod_empleado' ORDER BY id DESC ",$link);
		$ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver);
		$bono=($ver_consultar_sql_ver['monto']/$tipo_nomina)-$ver_estado_cuenta['total_deducciones_ley'];
		$total_prestamo=$ver_estado_cuenta['total_prestamo'];
		$total_deducciones=$ver_estado_cuenta['total_deducciones'];
		
		if($total_prestamo==''){
			$total_prestamo='0.00';
		} else {
			$total_prestamo=$total_prestamo;
		}	
		
		if($total_deducciones==''){
			$total_deducciones='0.00';
		} else {
			$total_deducciones=$total_deducciones;
		}
	$i++;
	$html51[]='
	<table  border="0" >
	  <tr>
		<td WIDTH="8%">'.$ver_consultar_sql_ver['tipo_nacionalidad'].'-'.$ver_consultar_sql_ver['cedula_trabajador'].'</td>
		<td WIDTH="30%">'.$ver_consultar_sql_ver['nombre_apellido'].'</td>
		<td WIDTH="10%">'.number_format($bono, 2, '.','').'</td>
		<td WIDTH="10%">'.number_format($total_deducciones, 2, '.','').'</td>
		<td WIDTH="10%">'.number_format($total_prestamo, 2, '.','').'</td>
		<td WIDTH="10%">'.number_format($ver_estado_cuenta['total_pagar'], 2, '.','').'</td>
		<td WIDTH="10%">'.$ver_estado_cuenta['tasa'].'</td>
		<td WIDTH="10%" style="text-align: right;">'.number_format($ver_estado_cuenta['total_pagar_bs'], 2, '.','').'</td>
	  </tr> 
	</table>
	 '; 
}
$html3='
<br>
	<b>TOTAL DESCUENTOS: '.number_format($t_descuentos, 2, '.','').'</b><br>
	<b>TOTAL PRESTAMOS: '.number_format($t_prestamos, 2, '.','').'</b><br><br>
	-------------------------------------------<br>
	TOTAL A PAGAR: '.number_format($t_pagar, 2, '.','').'<br>
';


$pdf->SetFont('times', '', 10);
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln();
$pdf->SetFont('', '',7, '', 'false');
$pdf->writeHTML($html2, true, 0, true, true);
$pdf->Ln();
$pdf->SetFont('', '',7, '', 'false');
for($x=0;$x<=$i;$x++){
	$pdf->writeHTML($html51[$x], true, 0, true, true);
	$pdf->Ln(1);
}
$pdf->writeHTML($html3, true, 0, true, true);
$pdf->Ln(); 
$pdf->Ln();
$pdf->Output('DETALLE DE NOMINA.pdf', 'I');

?>